### A free/open-source library for quantitative finance

Classes
ql/indexes/inflation/ukrpi.hpp File Reference

UKRPI index More...

`#include <ql/indexes/inflationindex.hpp>`
`#include <ql/currencies/europe.hpp>`
Include dependency graph for ukrpi.hpp:

## Classes

class | UKRPI
| UK Retail Price Inflation Index. More...
class | YYUKRPI
| Genuine year-on-year UK RPI (i.e. not a ratio of UK RPI) More...
class | YYUKRPIr
| Fake year-on-year UK RPI (i.e. a ratio of UK RPI) More...

## Detailed Description

UKRPI index